• Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Migrating Struts portlet from WPS 5.1 to 6.1

 
Dorothy Taylor
Ranch Hand
Posts: 104
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All

I want to migrate a WPS 5.1 and 6.0 STruts based JSR 168 portlet to WPS 6.1. Here are some findings and my doubts, when I tested a simple Hello World portlet RenderAction:

Q1. A portlet created on 5.1 was perfectlt deployable in 6.0 without any changes at all. But on infocenter they suggest doing some library changes. Reference URL: http://publib.boulder.ibm.com/infocenter/wpdoc/v6r0/topic/com.ibm.wp.ent.doc/wpf/mig_struts.html. Now it is not clear why IBM is suggesting that when the portlet is able to deply without any changes whatsoever.

Q2. A portlet created in WPS 6.0(or WPS 5.1) is not directly deployable on WPS 6.1. We need to do the changes mentioned by IBM. reference URL: http://www-01.ibm.com/support/docview.wss?uid=swg27012698&aid=1. Here what is not clear is that by just changing the library versions how is IBM able to create a world of difference in Struts implementation in 6.0 and 6.1. After all it is just a version change and that change has happened from 5.1 to 6.0 as well. So if a portlet created in 5.1 can deploy in 6.0, then why not on 6.1? A version change is not an important thing unless IBM as long as they are backward compatible. The pdf on infocenter, is not a well written one and only suggests the steps. It does not mention the rationale behind those steps. Does anyone have any idea what is going on behind the scenes?

Thanks in advance
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic